Skip to main content
GET
/
content
/
libraries
/
{uuid}
Get library
curl --request GET \
  --url https://api.getcargo.io/v1/content/libraries/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "library": {
    "uuid": "<string>",
    "workspaceUuid": "<string>",
    "name": "<string>",
    "extractorSlug": "<string>",
    "config": {},
    "folderUuid": "<string>",
    "lastSyncedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "deletedAt": "<string>",
    "kind": "<string>",
    "connectorUuid": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Library identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

library
Library · object
required

Library details.